Dark Reading is part of the Informa Tech Division of Informa PLC

This site is operated by a business or businesses owned by Informa PLC and all copyright resides with them.Informa PLC's registered office is 5 Howick Place, London SW1P 1WG. Registered in England and Wales. Number 8860726.

Risk

ACLU Issues Wake-Up Call To Android Service Providers

In complaint to FTC, civil liberties organization accuses AT&T, Verizon, Sprint, and T-Mobile of "unfair and deceptive business practices"

The American Civil Liberties Union this week filed a complaint with the Federal Trade Commission alleging that mobile and wireless service providers are failing in their efforts to protect the security of Android devices.

In a blog about Android security, the ACLU suggests that AT&T, Verizon, Sprint, and T-Mobile are engaging in "unfair and deceptive business practices" by failing to warn their customers about known, unpatched security flaws in the Androids they distribute.

The ACLU isn't faulting the service providers for the flaws -- it's complaining that the carriers are too slow to issue the patches that fix them.

"This is in sharp contrast to the norm on the desktop, where Mac and PCs both receive regular security updates directly from Apple and Microsoft," the ACLU says. "Apple also provides regular security updates to mobile devices, such as the iPad and iPhone. And it is standard practice for the companies that make almost all widely used software -- such as operating systems, web browsers and third party applications -- to issue regular updates to their software, including security fixes."

The complaint appears to be the ACLU's attempt to consolidate accountability for the slow patching of vulnerabilities in the Android, which is manufactured in a variety of different form factors by a host of different manufacturers -- all of which are on different patching schedules.

"If the mobile carriers are not going to provide important security updates, the FTC should at a minimum force them to provide device refunds to consumers and allow consumers to terminate their contracts without penalty so that they can switch to a provider who will," the ACLU says.

It will be interesting to see what the FTC does with the complaint. In the past, the commission has levied penalties against companies that failed to maintain good security practices and put their customers at risk of data theft. But in this case, the complaint does not point to any specific breach -- it states that the carriers are deceiving customers by failing to warn them about potential vulnerabilities.

Whatever happens with the FTC, the idea of consolidating accountability for Android patching is a good one. As it stands, Google is responsible for identifying the flaws and fixing them, and it is issuing patches at a record rate -- but it can't ensure that all of the different Android device manufacturers and service providers patch their products quickly. If the FTC sides with the ACLU, then those patches may get out faster -- and Android devices might be safer to use. Tim Wilson is Editor in Chief and co-founder of Dark Reading.com, UBM Tech's online community for information security professionals. He is responsible for managing the site, assigning and editing content, and writing breaking news stories. Wilson has been recognized as one ... View Full Bio

Comment  | 
Print  | 
More Insights
Comments
Newest First  |  Oldest First  |  Threaded View
speedo1456
50%
50%
speedo1456,
User Rank: Apprentice
7/13/2014 | 7:44:03 PM
Wake up is needed
Exactly what is needed. There are a lot of security and bug breaches in the Android segment. If this is not attended to at a short while many will go to the mobile windows market.
Commentary
How SolarWinds Busted Up Our Assumptions About Code Signing
Dr. Jethro Beekman, Technical Director,  3/3/2021
News
'ObliqueRAT' Now Hides Behind Images on Compromised Websites
Jai Vijayan, Contributing Writer,  3/2/2021
News
Attackers Turn Struggling Software Projects Into Trojan Horses
Robert Lemos, Contributing Writer,  2/26/2021
Register for Dark Reading Newsletters
White Papers
Video
Cartoon Contest
Write a Caption, Win an Amazon Gift Card! Click Here
Latest Comment: This comment is waiting for review by our moderators.
Current Issue
2021 Top Enterprise IT Trends
We've identified the key trends that are poised to impact the IT landscape in 2021. Find out why they're important and how they will affect you today!
Flash Poll
How Enterprises are Developing Secure Applications
How Enterprises are Developing Secure Applications
Recent breaches of third-party apps are driving many organizations to think harder about the security of their off-the-shelf software as they continue to move left in secure software development practices.
Twitter Feed
Dark Reading - Bug Report
Bug Report
Enterprise Vulnerabilities
From DHS/US-CERT's National Vulnerability Database
CVE-2021-21360
PUBLISHED: 2021-03-09
Products.GenericSetup is a mini-framework for expressing the configured state of a Zope Site as a set of filesystem artifacts. In Products.GenericSetup before version 2.1.1 there is an information disclosure vulnerability - anonymous visitors may view log and snapshot files generated by the Generic ...
CVE-2021-21361
PUBLISHED: 2021-03-09
The `com.bmuschko:gradle-vagrant-plugin` Gradle plugin contains an information disclosure vulnerability due to the logging of the system environment variables. When this Gradle plugin is executed in public CI/CD, this can lead to sensitive credentials being exposed to malicious actors. This is fixed...
CVE-2021-24033
PUBLISHED: 2021-03-09
react-dev-utils prior to v11.0.4 exposes a function, getProcessForPort, where an input argument is concatenated into a command string to be executed. This function is typically used from react-scripts (in Create React App projects), where the usage is safe. Only when this function is manually invoke...
CVE-2021-21510
PUBLISHED: 2021-03-08
Dell iDRAC8 versions prior to 2.75.100.75 contain a host header injection vulnerability. A remote unauthenticated attacker may potentially exploit this vulnerability by injecting arbitrary ‘Host’ header values to poison a web-cache or trigger redirections.
CVE-2020-27575
PUBLISHED: 2021-03-08
Maxum Rumpus 8.2.13 and 8.2.14 is affected by a command injection vulnerability. The web administration contains functionality in which administrators are able to manage users. The edit users form contains a parameter vulnerable to command injection due to insufficient validation.